Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt

Use this file to discover all available pages before exploring further.

Subscribe

Send this request body to Subscribe to a Trigger to start listening for this event on behalf of your user:
Subscribe Request
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "dynamicsbusinesscentral",
  "type": "DYNAMICS_BUSINESS_CENTRAL_TRIGGER_RECORD_UPDATED",
  "parameters": {
    "recordType": "purchaseInvoices",
    "businessCentralFilterFormula": "Field"
  }
}
Configuration options:
recordType
ENUM
required
Record Type
  • Allowed values: Purchase Invoice (purchaseInvoices), Vendors (vendors)
  • Options can be loaded by using the recordType key. Learn more in User Configuration.
Additional options when this parameter is set to purchaseInvoices.
businessCentralFilterFormula
CONDITIONAL
Only trigger on records that match these filters.
  • Example value: Field
  • Supported filter fields: id, vendorName, vendorInvoiceNumber, dueDate, postingDate, status
  • Supported filter fields are loaded from getFields after selecting recordType.
  • Supported operators: $stringExactlyMatches, $stringDoesNotExactlyMatch, $numberEquals, $numberGreaterThan, $numberLessThan, $numberGreaterThanOrEqualTo, $numberDoesNotEqual, $dateTimeEquals, $dateTimeBefore, $dateTimeAfter, $booleanTrue, $booleanFalse
Additional options when this parameter is set to vendors.
businessCentralFilterFormula
CONDITIONAL
Only trigger on records that match these filters.
  • Example value: Field
  • Supported filter fields: id, displayName, number, email, taxRegistrationNumber, paymentTermsId
  • Supported filter fields are loaded from getFields after selecting recordType.
  • Supported operators: $stringExactlyMatches, $stringDoesNotExactlyMatch, $numberEquals, $numberGreaterThan, $numberLessThan, $numberGreaterThanOrEqualTo, $numberDoesNotEqual, $dateTimeEquals, $dateTimeBefore, $dateTimeAfter, $booleanTrue, $booleanFalse